## sxhkd 0.5.6

=== Makefile ===
NAME     = sxhkd
VERSION := $(shell git describe 2> /dev/null || cat VERSION)

CPPFLAGS += -D_POSIX_C_SOURCE=200112L -DVERSION=\"$(VERSION)\"
CFLAGS   += -std=c99 -pedantic -Wall -Wextra
LDLIBS    = -lxcb -lxcb-keysyms

PREFIX    ?= /usr/local
BINPREFIX ?= $(PREFIX)/bin
MANPREFIX ?= $(PREFIX)/share/man
DOCPREFIX ?= $(PREFIX)/share/doc/$(NAME)

SRC = $(wildcard *.c)
OBJ = $(SRC:.c=.o)

all: $(NAME)

debug: CFLAGS += -O0 -g
debug: CPPFLAGS += -DDEBUG
debug: $(NAME)

include Sourcedeps

$(OBJ): Makefile

$(NAME): $(OBJ)

install:
	mkdir -p "$(DESTDIR)$(BINPREFIX)"
	cp -pf $(NAME) "$(DESTDIR)$(BINPREFIX)"
	mkdir -p "$(DESTDIR)$(MANPREFIX)"/man1
	cp -p doc/$(NAME).1 "$(DESTDIR)$(MANPREFIX)"/man1
	mkdir -p "$(DESTDIR)$(DOCPREFIX)"
	cp -pr examples "$(DESTDIR)$(DOCPREFIX)"/examples

uninstall:
	rm -f "$(DESTDIR)$(BINPREFIX)"/$(NAME)
	rm -f "$(DESTDIR)$(MANPREFIX)"/man1/$(NAME).1
	rm -rf "$(DESTDIR)$(DOCPREFIX)"

doc:
	a2x -v -d manpage -f manpage -a revnumber=$(VERSION) doc/$(NAME).1.txt

clean:
	rm -f $(OBJ) $(NAME)

.PHONY: all debug install uninstall doc clean

=== debian/changelog ===
sxhkd (0.5.6-1) unstable; urgency=medium

  * Initial release. (Closes: #815896)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 19 May 2016 22:06:15 +0900

=== debian/control ===
Source: sxhkd
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Priority: extra
Section: x11
Build-Depends: debhelper (>= 9),
	libxcb-util0-dev,
	libxcb-keysyms1-dev
Standards-Version: 3.9.8
Homepage: https://github.com/windelicato/sxhkd
Vcs-Git: git://anonscm.debian.org/collab-maint/sxhkd.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sxhkd.git;a=summary

Package: sxhkd
Architecture: any
Section: x11
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple X hotkey daemon
 sxhkd is a simple X hotkey daemon with a powerful and compact
 configuration syntax.

## sxhkd 0.5.7

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 NAME     = sxhkd
-VERSION := $(shell git describe 2> /dev/null || cat VERSION)
+VERCMD  ?= git describe 2> /dev/null
+VERSION := $(shell $(VERCMD) || cat VERSION)
 
 CPPFLAGS += -D_POSIX_C_SOURCE=200112L -DVERSION=\"$(VERSION)\"
 CFLAGS   += -std=c99 -pedantic -Wall -Wextra
@@ -10,8 +11,8 @@
 MANPREFIX ?= $(PREFIX)/share/man
 DOCPREFIX ?= $(PREFIX)/share/doc/$(NAME)
 
-SRC = $(wildcard *.c)
-OBJ = $(SRC:.c=.o)
+SRC := $(wildcard *.c)
+OBJ := $(SRC:.c=.o)
 
 all: $(NAME)
 
@@ -39,7 +40,7 @@
 	rm -rf "$(DESTDIR)$(DOCPREFIX)"
 
 doc:
-	a2x -v -d manpage -f manpage -a revnumber=$(VERSION) doc/$(NAME).1.txt
+	a2x -v -d manpage -f manpage -a revnumber=$(VERSION) doc/$(NAME).1.asciidoc
 
 clean:
 	rm -f $(OBJ) $(NAME)

=== debian/changelog ===
sxhkd (0.5.7-1) unstable; urgency=medium

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 03 Nov 2016 06:22:05 +0900

sxhkd (0.5.6-2) unstable; urgency=medium

  * Add Raphael Mota Ramos <raphaelmota.ti@gmail.com> to Uploaders.
  * Fix URL of Homepage to https://github.com/baskerville/sxhkd.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 25 Oct 2016 20:51:19 +0900

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: sxhkd
 Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Uploaders: Raphael Mota Ramos <raphaelmota.ti@gmail.com>
 Priority: extra
 Section: x11
 Build-Depends: debhelper (>= 9),
 	libxcb-util0-dev,
 	libxcb-keysyms1-dev
 Standards-Version: 3.9.8
-Homepage: https://github.com/windelicato/sxhkd
+Homepage: https://github.com/baskerville/sxhkd
 Vcs-Git: git://anonscm.debian.org/collab-maint/sxhkd.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sxhkd.git;a=summary

## sxhkd 0.5.8

=== Makefile ===
OUT      = sxhkd
VERCMD  ?= git describe 2> /dev/null
VERSION := $(shell $(VERCMD) || cat VERSION)

CPPFLAGS += -D_POSIX_C_SOURCE=200112L -DVERSION=\"$(VERSION)\"
CFLAGS   += -std=c99 -pedantic -Wall -Wextra
LDLIBS    = -lxcb -lxcb-keysyms

PREFIX    ?= /usr/local
BINPREFIX ?= $(PREFIX)/bin
MANPREFIX ?= $(PREFIX)/share/man
DOCPREFIX ?= $(PREFIX)/share/doc/$(OUT)

all: $(OUT)

debug: CFLAGS += -O0 -g
debug: CPPFLAGS += -DDEBUG
debug: $(OUT)

VPATH = src
OBJ   =

include Sourcedeps

$(OBJ): Makefile

$(OUT): $(OBJ)

install:
	mkdir -p "$(DESTDIR)$(BINPREFIX)"
	cp -pf $(OUT) "$(DESTDIR)$(BINPREFIX)"
	mkdir -p "$(DESTDIR)$(MANPREFIX)"/man1
	cp -p doc/$(OUT).1 "$(DESTDIR)$(MANPREFIX)"/man1
	mkdir -p "$(DESTDIR)$(DOCPREFIX)"
	cp -pr examples "$(DESTDIR)$(DOCPREFIX)"/examples

uninstall:
	rm -f "$(DESTDIR)$(BINPREFIX)"/$(OUT)
	rm -f "$(DESTDIR)$(MANPREFIX)"/man1/$(OUT).1
	rm -rf "$(DESTDIR)$(DOCPREFIX)"

doc:
	a2x -v -d manpage -f manpage -a revnumber=$(VERSION) doc/$(OUT).1.asciidoc

clean:
	rm -f $(OBJ) $(OUT)

.PHONY: all debug install uninstall doc clean

=== debian/changelog ===
sxhkd (0.5.8-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/control.
    - Update standards-Version to 4.0.0.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 22 Jul 2017 07:14:56 +0900

=== debian/control ===
Source: sxhkd
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Uploaders: Raphael Mota Ramos <raphaelmota.ti@gmail.com>
Section: x11
Priority: extra
Build-Depends: debhelper (>= 9),
               libxcb-util0-dev,
               libxcb-keysyms1-dev
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sxhkd.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/sxhkd.git
Homepage: https://github.com/baskerville/sxhkd

Package: sxhkd
Architecture: any
Section: x11
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Simple X hotkey daemon
 sxhkd is a simple X hotkey daemon with a powerful and compact
 configuration syntax.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sxhkd-$1.tar.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/baskerville/sxhkd/tags .*/v?(\d\S*)\.tar\.gz

## sxhkd 0.5.9

=== debian/changelog ===
sxhkd (0.5.9-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.3.
  * Change Vcs-Browser and Vcs-Git to salsa.
  * Use secure copyright-format uri.
  * Change Priority to optional.
  * Update debhelper to 11.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 02 Apr 2018 15:58:16 +0900

=== debian/control ===
Source: sxhkd
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Uploaders: Raphael Mota Ramos <raphaelmota.ti@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 11),
               libxcb-util0-dev,
               libxcb-keysyms1-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian/sxhkd/
Vcs-Git: https://salsa.debian.org/debian/sxhkd.git
Homepage: https://github.com/baskerville/sxhkd

Package: sxhkd
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Simple X hotkey daemon
 sxhkd is a simple X hotkey daemon with a powerful and compact
 configuration syntax.

## sxhkd 0.6.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,8 @@
 
 CPPFLAGS += -D_POSIX_C_SOURCE=200112L -DVERSION=\"$(VERSION)\"
 CFLAGS   += -std=c99 -pedantic -Wall -Wextra
-LDLIBS    = -lxcb -lxcb-keysyms
+LDFLAGS  ?=
+LDLIBS    = $(LDFLAGS) -lxcb -lxcb-keysyms
 
 PREFIX    ?= /usr/local
 BINPREFIX ?= $(PREFIX)/bin

=== debian/changelog ===
sxhkd (0.6.1-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 17 Sep 2019 16:32:00 -0700

sxhkd (0.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.0.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 19 Aug 2019 08:59:35 +0900

sxhkd (0.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 24 May 2019 14:23:16 +0900

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Raphael Mota Ramos <raphaelmota.ti@gmail.com>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 10),
                libxcb-util0-dev,
                libxcb-keysyms1-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian/sxhkd/
 Vcs-Git: https://salsa.debian.org/debian/sxhkd.git
 Homepage: https://github.com/baskerville/sxhkd

## sxhkd 0.6.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 OUT      = sxhkd
-VERCMD  ?= git describe 2> /dev/null
+VERCMD  ?= git describe --tags 2> /dev/null
 VERSION := $(shell $(VERCMD) || cat VERSION)
 
 CPPFLAGS += -D_POSIX_C_SOURCE=200112L -DVERSION=\"$(VERSION)\"

=== debian/changelog ===
sxhkd (0.6.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Nobuhiro Iwamatsu ]
  * d/copyright
    + Update copyright year to 2025.
  * d/watch
    + Update version to 4.
  * d/control
    +  Update from libxcb-util0-dev to libxcb-util-dev in B-D.
    + Add 'Rules-Requires-Root: no'.
    + d/control: Bump Standards-Version to 4.7.0.
  * d/upstream/metadata
    + Add metadata.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 25 Jan 2025 17:51:59 +0900

sxhkd (0.6.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #957853)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 14 Aug 2020 11:04:48 +0900

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Uploaders: Raphael Mota Ramos <raphaelmota.ti@gmail.com>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               libxcb-util0-dev,
+Build-Depends: debhelper-compat (= 13),
+               libxcb-util-dev,
                libxcb-keysyms1-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/sxhkd/
 Vcs-Git: https://salsa.debian.org/debian/sxhkd.git
 Homepage: https://github.com/baskerville/sxhkd

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sxhkd-$1.tar.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/baskerville/sxhkd/tags .*/v?(\d\S*)\.tar\.gz

## sxhkd 0.6.3

=== debian/changelog ===
sxhkd (0.6.3-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    + Bump Standards-Version to 4.7.3.
    + Remove redundant Rules-Requires-Root field.
    + Add libxcb-xkb-dev to B-D.
  * d/copyright: Update copyright year.
  * d/gbp.conf: Use DEP14 and use debian/latest branch.
  * d/patches: Add 0001-doc-sxhkd.1-Fix-typo.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 04 Jan 2026 07:07:27 +0900

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libxcb-util-dev,
-               libxcb-keysyms1-dev
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+               libxcb-keysyms1-dev,
+               libxcb-xkb-dev
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian/sxhkd/
 Vcs-Git: https://salsa.debian.org/debian/sxhkd.git
 Homepage: https://github.com/baskerville/sxhkd
